Subject: Re: Why, technically, MIP and IPv6 can't be deployed

From: Greg Daley <[email-masked]>
Date: Wed, 10 Nov 2004 06:43:56 +1100

----- Original Message -----
From: Masataka Ohta <[email-masked]>
Date: Wednesday, November 10, 2004 2:50 am
Subject: Re: Why, technically, MIP and IPv6 can't be deployed

> Francis Dupont wrote:
> 
> >    > Could you describe why exactly IPv6 can't run on the (layer 
> 2?) WLAN
> >    > infrastructure?
> >    
> >    That ND extensively, without any valid reason to do so, use
> >    multicast, which is not acknowledged at WLAN L2, means IPv6
> >    or its ND is unreliable over congested WLAN. If multicast
> >    ND packet is lost by congestion, it is not retransmitted by L2.
> >    
> > => Masataka san, your argument is right (I saw 40% lost rate
> > on multicast over IEEE 802.11b) but it applies to IPv4 (ARP
> > uses broadcast) too...
> 
> Yes, it does, but not so badly.
> 
> ARP actually use broadcast for request but not for reply.

ND uses unicast for replies (Router Discovery may not though).

> Moreover, ARP request from terminals to base stations, which
> are often routers, are unicast at lower L2.

Same with ND.

Same with _any_ MAC unicast with toDS=1...

> So, over WLAN, ARP works a lot better than ND. It should
> also be noted that, with IPv4, it is natural to have link
> specific adaptation mechanism for each different link type
> that it is perfectly fine to have IP over WLAN which is
> different from IP over Ether.

Your premises are incorrect,  the comparisons you are using are invalid.

> On the other hand, ND, an attempt to have a universal
> adaptation mechanism ignoring link specific properties,
> which contradicts with the very basic reason to have
> "adaptation", is a total failure.

Really, so does ARP, except where it's not supported, and requires
servers.
 
> It should be noted that MIPv6 is hopelessly tainted by ND.

I'l take hopeless ND taints any day.

The ND architecture as part of IPv6 (rather than the link-layer)
allows L3 neighbour security mechanisms to be implemented once in
IP.

I think that retransmission timers, and ordering of messages
in ND can be altered.  The insecurity of ARP cannot.

Which do we need for the future 10-15 years of the Internet?

Greg 

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf